## Local

### Description

Adds a local property to the current scope. Property scopes exist at Ant's various "block" levels. These include targets as well as the Parallel and Sequential task containers (including Macrodef bodies). A local property at a given scope "shadows" properties of the same name at higher scopes, including the global scope. Note that using the Local task at the global level effectively makes the property local to the "anonymous target" in which top-level operations are carried out; it will not be defined for other targets in the buildfile. Since Ant 1.8

### Parameters

Attribute | Description | Required
name | The property to declare in the current scope | Yes